#ifndef ARENA_H
#define ARENA_H

/*
 * Abstract class for the area programs. 
 */
class Arena {

  public:
    virtual void boot() = 0;
    virtual void startBattle() = 0;
    virtual void ringOutFinish() = 0;
    virtual void survivorFinish() = 0;
    virtual void burstFinish() = 0;
};

#endif
