#ifndef ARENABUTTONS_H
#define ARENABUTTONS_H

#define PULSE_WIDTH_USEC   5
#define POLL_DELAY_MSEC    1
#define DATA_WIDTH         8

typedef enum {none = 0, startBattle = 1, ringOutFinish = 2, survivorFinish = 4, burstFinish = 8, volumeDec = 16, volumeInc = 32} Button;

class ArenaButtons {

  public: 
    ArenaButtons(byte dataPin, byte loadPin, byte clockPin, byte clockEnablePin);
    Button getActiveButton();
    void getActiveButtons(Button *buttons, byte *buttonCount);

  private:
    byte _loadPin;
    byte _clockEnablePin;
    byte _dataPin;
    byte _clockPin;
};

#endif
