#ifndef ARENASOUND_H
#define ARENASOUND_H

#include "Arena.h"
#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

/*
 * Arena Sound programs
*/
class ArenaSound : public Arena {
  public:
    ArenaSound();

    // Soundprogramme
    virtual void boot();
    virtual void startBattle();
    virtual void ringOutFinish();
    virtual void survivorFinish();
    virtual void burstFinish();

    void volumeDec();
    void volumeInc();

  private:
    byte _volume;
};

#endif
